import 'devextreme/dist/css/dx.material.purple.dark.compact.css';
import DataGrid from 'devextreme/ui/data_grid';
import { ICustomElementViewModel } from "@aurelia/runtime-html";
export declare class MooDataGrid implements ICustomElementViewModel {
    static containerless: boolean;
    items: null;
    columns: any;
    load: any;
    filterVisible: boolean;
    headerFilterVisible: boolean;
    onExportToExcel: boolean;
    pendingOnly: any;
    hiddenFilter: any;
    searchPanelVisible: boolean;
    onRowUpdating: any;
    onRowPrepared: any;
    allowAdding: boolean;
    allowEditing: boolean;
    allowDeleting: boolean;
    allowChoosing: boolean;
    masterDetail: any;
    extraParams: {};
    searchPanelText: any;
    storageKey: any;
    allowColumnResizing: any;
    allowColumnReordering: any;
    columnResizingMode: any;
    confirmDeleteMessage: any;
    editingMode: string;
    allowedPageSizes: number[];
    popupTitle: any;
    formItemOptions: any;
    onOptionChangedFunction: any;
    onInitNewRowFunction: any;
    onRowInsertedFunction: any;
    onRowUpdatedFunction: any;
    onRowValidating: any;
    onToolbarPreparing: any;
    onExporting: any;
    onCellPrepared: any;
    dataSource: any;
    onContentReady: any;
    auxFiltersForNewProduct: any;
    startDateForToolbar: any;
    endDateForToolbar: any;
    customizeColumns: any;
    onEditingStart: any;
    onEditorPreparing: any;
    closeOnOutsideClick: any;
    summary: any;
    control: any;
    valuesDateTime: string[];
    dataGrid: any;
    dataGridControl: DataGrid;
    attached(): void;
    /**
     * Prepares the editing options of the Grid based of the binded elements.
     * @returns the editing object for the Grid.
     */
    prepareEditingOptions(): {
        allowUpdating: boolean;
        allowAdding: boolean;
        allowDeleting: boolean;
        selectTextOnEditStart: boolean;
        startEditAction: string;
        mode: string;
        useIcons: boolean;
        form: {
            colCountByScreen: {
                xs: number;
                sm: number;
                md: number;
                lg: number;
            };
            items: any[] | undefined;
        };
        popup: {
            title: any;
            closeOnOutsideClick: boolean;
            showTitle: boolean;
        };
        texts: {
            confirmDeleteMessage: any;
        };
    };
    /**
     * Activates a loader and hides the component that trigers
     * @param {Component to hide} data
     * @param {Loader to activate} loaderElement
     */
    startLoader(data: any, loaderElement: any): void;
    /**
     * deactivates a loader and shows the component that trigers
     * @param {Component to hide} data
     * @param {Loader to activate} loaderElement
     */
    endLoader(data: any, loaderElement: any): void;
    onRowExpanding: (e: any) => void;
}
